
library('here')
# by convention give the root folder of the project through an environment variable
project_root_dir <- here::here()

######################################################################
###      SETTINGS, R LIBRARIES, USER FUNCTIONS
#######################################################################

library(tidyverse)
library(broom)
library(data.table)
library(lubridate)
library(readxl)
library(writexl)
library(knitr)
library(stargazer)
library(estimatr)
library(grid)
library(gridExtra)
library(scales)
library(strucchange)
library(ggrepel)
library(ggtext)
library(modelsummary)
library(pandoc)
library(clubSandwich)
library(lmtest) 


#######################################################################
###                  PARAMETERS & VARIABLES
#######################################################################

options(datatable.integer64="numeric")
Sys.setenv(TZ = "NZ")
# milli second resolution for CreateDate
op <- options(digits.secs=3)
#prevent scientific notation
options(scipen = 999)

#######################################################################
###                  DIRECTORY MANAGEMENT
#######################################################################

dir_input <- file.path(project_root_dir, "Inputs")
dir.create(dir_input, recursive=T, showWarnings=F)

dir_output <- file.path(project_root_dir, "Outputs")
dir.create(dir_output, recursive=T, showWarnings=F)

